Debian Bug report logs - #376086
diffstat does not work with debdiff output

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Fri, 30 Jun 2006 08:18:08 UTC

Severity: normal

Found in version diffstat/1.41-1

Fixed in version diffstat/1.42-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#376086; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: diffstat does not work with debdiff output
Date: Fri, 30 Jun 2006 09:49:20 +0200
[Message part 1 (text/plain, inline)]
Package: diffstat
Version: 1.41-1
Severity: normal

Hello Greg,

running diffstat on debdiff output does not report filenames:

With the patch in attachment, I only get

%diffstat patch
  | 1058 +++++++++++++++++++++++++++++++---------------------------------------- 1 file changed, 474 insertions(+), 584 deletions(-)

but lsdiff report correctly:
%lsdiff patch
/tmp/FVp8Sgjgue/flwm-1.00/config.h
/tmp/FVp8Sgjgue/flwm-1.00/debian/changelog
/tmp/FVp8Sgjgue/flwm-1.00/debian/patched/100_fl_filename_name.dpatch
/tmp/FVp8Sgjgue/flwm-1.00/debian/patched/101_visible_focus.dpatch
/tmp/FVp8Sgjgue/flwm-1.00/debian/patched/102_charstruct.dpatch
/tmp/FVp8Sgjgue/flwm-1.00/debian/patched/103_man_typo.dpatch
...

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)

Versions of packages diffstat depends on:
ii  libc6                         2.3.6-15   GNU C Library: Shared libraries

diffstat recommends no packages.

-- no debconf information


[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#376086; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #10 received at 376086@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Bill Allombert <ballombe@debian.org>, 376086@bugs.debian.org
Subject: Re: Bug#376086: diffstat does not work with debdiff output
Date: Fri, 30 Jun 2006 06:21:21 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 30, 2006 at 10:30:17AM +0200, Bill Allombert wrote:
> Package: diffstat
> Version: 1.41-1
> Severity: normal
> 
> Hello Greg,
> 
> running diffstat on debdiff output does not report filenames:
> 
> With the patch in attachment, I only get

I don't see an attachment
(it would help if I knew the output format of debdiff).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#376086; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #15 received at 376086@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: Thomas Dickey <dickey@radix.net>
Cc: Bill Allombert <ballombe@debian.org>, 376086@bugs.debian.org
Subject: Re: Bug#376086: diffstat does not work with debdiff output
Date: Fri, 30 Jun 2006 12:38:49 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 30, 2006 at 06:21:21AM -0400, Thomas Dickey wrote:
> On Fri, Jun 30, 2006 at 10:30:17AM +0200, Bill Allombert wrote:
> > Package: diffstat
> > Version: 1.41-1
> > Severity: normal
> > 
> > Hello Greg,
> > 
> > running diffstat on debdiff output does not report filenames:
> > 
> > With the patch in attachment, I only get
> 
> I don't see an attachment
> (it would help if I knew the output format of debdiff).

There was an attachment, but it was somehow empty.

Here a new one. The format look like diff -Nru:

diff -Nru /tmp/8FTwAYJlot/flwm-1.00/config.h /tmp/KfNDqvamm0/flwm-1.01/config.h
--- /tmp/8FTwAYJlot/flwm-1.00/config.h  1999-08-24 22:59:35.000000000 +0200
+++ /tmp/KfNDqvamm0/flwm-1.01/config.h  2002-03-24 02:02:33.000000000 +0100
@@ -25,6 +25,12 @@

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#376086; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #20 received at 376086@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: Bill Allombert <ballombe@debian.org>, 376086@bugs.debian.org
Subject: Re: Bug#376086: diffstat does not work with debdiff output
Date: Fri, 30 Jun 2006 07:13:45 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 30, 2006 at 12:38:49PM +0200, Bill Allombert wrote:
> There was an attachment, but it was somehow empty.
> 
> Here a new one. The format look like diff -Nru:
> 
> diff -Nru /tmp/8FTwAYJlot/flwm-1.00/config.h /tmp/KfNDqvamm0/flwm-1.01/config.h
> --- /tmp/8FTwAYJlot/flwm-1.00/config.h  1999-08-24 22:59:35.000000000 +0200
> +++ /tmp/KfNDqvamm0/flwm-1.01/config.h  2002-03-24 02:02:33.000000000 +0100
> @@ -25,6 +25,12 @@

thanks (it does look as if it should have worked - I'll see why).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#376086; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #25 received at 376086@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: Bill Allombert <ballombe@debian.org>, 376086@bugs.debian.org
Subject: Re: Bug#376086: diffstat does not work with debdiff output
Date: Sun, 2 Jul 2006 13:05:26 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 30, 2006 at 12:38:49PM +0200, Bill Allombert wrote:
> There was an attachment, but it was somehow empty.
> 
> Here a new one. The format look like diff -Nru:
> 
> diff -Nru /tmp/8FTwAYJlot/flwm-1.00/config.h /tmp/KfNDqvamm0/flwm-1.01/config.h
> --- /tmp/8FTwAYJlot/flwm-1.00/config.h  1999-08-24 22:59:35.000000000 +0200
> +++ /tmp/KfNDqvamm0/flwm-1.01/config.h  2002-03-24 02:02:33.000000000 +0100

Thanks.  The problem was that I was ignoring pathnames in /tmp/, to handle
some case like this, where the names in /tmp/ are meaningless:

diff -Nru /tmp/8FTwAYJlot /home/person/config.h
--- /tmp/8FTwAYJlot  1999-08-24 22:59:35.000000000 +0200
+++ /home/person/config.h  2002-03-24 02:02:33.000000000 +0100

But removing that check, I don't have a test-case which breaks.
So I removed the check, and if some relevant case arises, will
address that.  (I saved your example for regression testing ;-)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 376086-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 376086-close@bugs.debian.org
Subject: Bug#376086: fixed in diffstat 1.42-1
Date: Sun, 09 Jul 2006 09:47:06 -0700
Source: diffstat
Source-Version: 1.42-1

We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.42-1.diff.gz
  to pool/main/d/diffstat/diffstat_1.42-1.diff.gz
diffstat_1.42-1.dsc
  to pool/main/d/diffstat/diffstat_1.42-1.dsc
diffstat_1.42-1_i386.deb
  to pool/main/d/diffstat/diffstat_1.42-1_i386.deb
diffstat_1.42.orig.tar.gz
  to pool/main/d/diffstat/diffstat_1.42.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 376086@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  9 Jul 2006 10:59:00 -0500
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.42-1
Distribution: unstable
Urgency: low
Maintainer: Greg Norris <adric@debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 376086
Changes: 
 diffstat (1.42-1) unstable; urgency=low
 .
   * New upstream release.
     - Do not ignore pathnames in /tmp/. (closes: #376086)
   * Bump policy version to 3.7.2 (no changes required).
Files: 
 c8c75a8ff2069c85b57b87754bdf6d4a 559 devel optional diffstat_1.42-1.dsc
 0c37a2a509d6fbc459ad9845ae67ec94 100412 devel optional diffstat_1.42.orig.tar.gz
 941b3d5a0486ecac80466cf803a6bbc8 3562 devel optional diffstat_1.42-1.diff.gz
 2b229feae9fa2bc8e508fcdd2afb18f8 19002 devel optional diffstat_1.42-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEsSnygrEMyr8Cx2YRAghWAJ4w2eLbW4w8Dtd1k4bO5MQxp16CzgCgvFsj
l/oeFrmu45HUo55GCQ3IErM=
=bcrM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 22:44:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:32:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.